
Redmine - Defect #3041

Intermittent test failures - test_autologin

2009-03-24 21:42 - Eric Davis

Status: Closed Start date: 2009-03-24

Priority: Low Due date:  

Assignee: Eric Davis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

test_autologin is failing every now and then on my build server.  Most of the time it's during language updates so I'm suspecting

something wrong with the test, maybe a Time issue?

"Build 899aee4011cb992ea2156238c1bdd34877f5dab6 failed" 

Commit Message: Translation updates: sv, zh, zh-TW (#3022, #3025, #3028)

Commit Date: 2009-03-24T18:58:03+00:00

Commit Author: Azamat Hackimov

Build Output:

(in /home/edavis/integrity/builds/edavis10-redmine-master)

/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_lo

ader.rb" "test/unit/repository_filesystem_test.rb" "test/unit/project_test.rb" "test/unit/reposito

ry_darcs_test.rb" "test/unit/news_test.rb" "test/unit/wiki_page_test.rb" "test/unit/mailer_test.rb

" "test/unit/watcher_test.rb" "test/unit/subversion_adapter_test.rb" "test/unit/custom_field_test.

rb" "test/unit/wiki_content_test.rb" "test/unit/issue_test.rb" "test/unit/repository_subversion_te

st.rb" "test/unit/enumeration_test.rb" "test/unit/repository_bazaar_test.rb" "test/unit/query_test

.rb" "test/unit/calendar_test.rb" "test/unit/time_entry_test.rb" "test/unit/repository_test.rb" "t

est/unit/enabled_module_test.rb" "test/unit/user_preference_test.rb" "test/unit/message_test.rb" "

test/unit/repository_git_test.rb" "test/unit/document_test.rb" "test/unit/issue_status_test.rb" "t

est/unit/comment_test.rb" "test/unit/role_test.rb" "test/unit/setting_test.rb" "test/unit/user_tes

t.rb" "test/unit/default_data_test.rb" "test/unit/wiki_test.rb" "test/unit/repository_mercurial_te

st.rb" "test/unit/lib/redmine/plugin_test.rb" "test/unit/lib/redmine/unified_diff_test.rb" "test/u

nit/lib/redmine/hook_test.rb" "test/unit/lib/redmine/wiki_formatting/macros_test.rb" "test/unit/li

b/redmine/access_control_test.rb" "test/unit/lib/redmine/i18n_test.rb" "test/unit/token_test.rb" "

test/unit/mail_handler_test.rb" "test/unit/attachment_test.rb" "test/unit/version_test.rb" "test/u

nit/helpers/sort_helper_test.rb" "test/unit/helpers/custom_fields_helper_test.rb" "test/unit/helpe

rs/application_helper_test.rb" "test/unit/wiki_redirect_test.rb" "test/unit/tracker_test.rb" "test

/unit/mercurial_adapter_test.rb" "test/unit/board_test.rb" "test/unit/member_test.rb" "test/unit/a

uth_source_ldap_test.rb" "test/unit/filesystem_adapter_test.rb" "test/unit/journal_test.rb" "test/

unit/search_test.rb" "test/unit/issue_category_test.rb" "test/unit/repository_cvs_test.rb" "test/u

nit/activity_test.rb" "test/unit/changeset_test.rb" "test/unit/custom_value_test.rb" 

(in /home/edavis/integrity/builds/edavis10-redmine-master)

Filesystem test repository NOT FOUND. Skipping unit tests !!! See doc/RUNNING_TESTS.

Darcs test repository NOT FOUND. Skipping unit tests !!!

Subversion test repository NOT FOUND. Skipping unit tests !!!

Bazaar test repository NOT FOUND. Skipping unit tests !!!

Git test repository NOT FOUND. Skipping unit tests !!!

Mercurial test repository NOT FOUND. Skipping unit tests !!!

Filesystem test repository NOT FOUND. Skipping unit tests !!! See doc/RUNNING_TESTS.

CVS test repository NOT FOUND. Skipping unit tests !!!

Loaded suite /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader

Started

..................................................................................................

..................................................................................................

..................................................................................................

........................................

Finished in 126.013456 seconds.

334 tests, 1491 assertions, 0 failures, 0 errors
/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_lo

ader.rb" "test/functional/repositories_darcs_controller_test.rb" "test/functional/repositories_con

troller_test.rb" "test/functional/reports_controller_test.rb" "test/functional/repositories_cvs_co

ntroller_test.rb" "test/functional/workflows_controller_test.rb" "test/functional/users_controller

_test.rb" "test/functional/attachments_controller_test.rb" "test/functional/versions_controller_te

st.rb" "test/functional/wikis_controller_test.rb" "test/functional/repositories_git_controller_tes

t.rb" "test/functional/repositories_subversion_controller_test.rb" "test/functional/repositories_b

azaar_controller_test.rb" "test/functional/members_controller_test.rb" "test/functional/issue_cate

gories_controller_test.rb" "test/functional/my_controller_test.rb" "test/functional/watchers_contr

oller_test.rb" "test/functional/documents_controller_test.rb" "test/functional/journals_controller

_test.rb" "test/functional/account_controller_test.rb" "test/functional/issues_controller_test.rb"

 "test/functional/roles_controller_test.rb" "test/functional/welcome_controller_test.rb" "test/fun

ctional/trackers_controller_test.rb" "test/functional/custom_fields_controller_test.rb" "test/func

tional/admin_controller_test.rb" "test/functional/boards_controller_test.rb" "test/functional/sett

ings_controller_test.rb" "test/functional/sys_controller_test.rb" "test/functional/news_controller

_test.rb" "test/functional/issue_relations_controller_test.rb" "test/functional/wiki_controller_te

st.rb" "test/functional/projects_controller_test.rb" "test/functional/messages_controller_test.rb"

 "test/functional/timelog_controller_test.rb" "test/functional/repositories_mercurial_controller_t

est.rb" "test/functional/queries_controller_test.rb" "test/functional/search_controller_test.rb" "

test/functional/application_controller_test.rb" "test/functional/mail_handler_controller_test.rb" 

"test/functional/enumerations_controller_test.rb" 

/home/edavis/integrity/builds/edavis10-redmine-master/app/controllers/repositories_controller.rb:2

02: warning: already initialized constant REV_PARAM_RE

/home/edavis/integrity/builds/edavis10-redmine-master/app/controllers/my_controller.rb:31: warning

: already initialized constant BLOCKS

/home/edavis/integrity/builds/edavis10-redmine-master/app/controllers/my_controller.rb:35: warning

: already initialized constant DEFAULT_LAYOUT

Darcs test repository NOT FOUND. Skipping functional tests !!!

CVS test repository NOT FOUND. Skipping functional tests !!!

Git test repository NOT FOUND. Skipping functional tests !!!

Subversion test repository NOT FOUND. Skipping functional tests !!!

Bazaar test repository NOT FOUND. Skipping functional tests !!!

RMagick not installed. Skipping tests !!!

Mercurial test repository NOT FOUND. Skipping functional tests !!!

Loaded suite /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader

Started

..................................................................................................

..................................................................................................

..................................................................................................

..................................................................................................

............................................

Finished in 66.693967 seconds.

436 tests, 1558 assertions, 0 failures, 0 errors

/usr/local/bin/ruby -Ilib:test "/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_lo

ader.rb" "test/integration/account_test.rb" "test/integration/projects_test.rb" "test/integration/

issues_test.rb" "test/integration/lib/redmine/menu_manager_test.rb" "test/integration/application_

test.rb" "test/integration/admin_test.rb" 

Loaded suite /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake/rake_test_loader

Started

F....................

Finished in 12.827057 seconds.

  1) Failure:

test_autologin(AccountTest)

    [./test/integration/account_test.rb:69:in `test_autologin'

     /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_te

ardown.rb:94:in `__send__'

     /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/testing/setup_and_te

ardown.rb:94:in `run'

     /usr/local/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/integration.rb:597:i

n `run']:

<false> is not true.

21 tests, 150 assertions, 1 failures, 0 errors

Errors running test:integration!
Associated revisions

Revision 2640 - 2009-03-28 13:30 - Jean-Philippe Lang

Test failure (#3041).

History

#1 - 2009-03-28 13:26 - Jean-Philippe Lang

I never get a failure on this assertion. I don't really see what's wrong.

Please, let me know if it still fails after r2640.

#2 - 2009-04-09 02:53 - Eric Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

- Resolution set to Fixed

Haven't seen it fail yet so I'm closing this issue.  It would be nice to mock out Time in the tests so they aren't time dependent.
